#### 13.2.2 Initialize variable argument list

Synopsis

         #include <varargs.h>
         va_list ap;
         va_start(ap);

Description
With the `varargs.h` macros, use `va_start` to initialize a data structure ap to permit manipulating a variable argument list. ap must have the type va_alist.

Returns
`va_start` does not return a result.

Portability
`va_start` is also defined as a macro in ANSI C, but the definitions are incompatible; the ANSI version has another parameter besides ap.